# Anleitung

## Hinweis
Bei dieser Simulation laufen nebeneinander Animationen in einem Pygame- und ein Matplotlib-Fenster. Manche IDEs (integrierte Entwicklerumgebungen) stellen diese beiden Fenster auf manchen Plattformen nicht korrekt dar. 
Falls die interaktive Animation also nicht funktioniert: direkt im Terminal starten:

> python Gleichgewichtseinstellung_NO2_N2O4_09.py

oder eine andere IDE ausprobieren.  
 

## Simulation 
Mit der Python-Datei Gleichgewichtseinstellung_NO2_N2O4_xx.py kann man die Gleichgewichtseinstellung eines Systems 2 A <=> B interaktiv simulieren. 

für die Tastenbefehle muss das Animations-Fenster (Pygame) angeklickt sein - wenn irgend ein anderes Fenster angewählt ist, funktionieren die Tastenbefehle nicht. 

s und w: Box skalieren
up und down: y-Achse des Diagramms skalieren (auch dazu muss das Animations-Fenster angewählt sein!)
b: Bilder speichern
n: Bilder speichern beenden
p: Pause
o: Pause beenden
r: Reset



## Film
Mittels FFmpeg (muss installiert sein) kann man die Bilder zu einem Film verknüpfen mit folgendem Befehl in cmd oder Powershell:

### Animation
ffmpeg -start_number 0 -i pygame_%04d.png -filter:v fps=30  -vf "pad=ceil(iw/2)*2:ceil(ih/2)*2" -pix_fmt yuv420p pytame_out.mp4

### Verläufe
ffmpeg -start_number 0 -i matplotlib_%04d.png -filter:v fps=30  -vf "pad=ceil(iw/2)*2:ceil(ih/2)*2" -pix_fmt yuv420p matplotlib_out.mp4

## Film zuschneiden
Mittels der angefügten Batch-Datei kann man die beiden  Filme zu einem zusammenfügen. 